Bug 1917287 - CVE-2021-20178 ansible: user data leak in snmp_facts module [fedora-all]
Summary: CVE-2021-20178 ansible: user data leak in snmp_facts module [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-20178
TreeView+ depends on / blocked
 
Reported: 2021-01-18 09:11 UTC by Borja Tarraso
Modified: 2021-03-08 19:34 UTC (History)
4 users (show)

Fixed In Version: ansible-2.9.18-1.el8 ansible-2.9.18-1.fc33 ansible-2.9.18-1.fc32 ansible-2.9.18-1.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-01 16:16:37 UTC
Type: ---


Attachments (Terms of Use)

Description Borja Tarraso 2021-01-18 09:11:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Borja Tarraso 2021-01-18 09:11:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1914774,1917287

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-02-21 00:44:33 UTC
FEDORA-EPEL-2021-3428ca1a34 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-3428ca1a34

Comment 3 Fedora Update System 2021-02-21 00:44:34 UTC
FEDORA-2021-e9478617ae has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e9478617ae

Comment 4 Fedora Update System 2021-02-21 00:44:35 UTC
FEDORA-2021-9a0903469c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9a0903469c

Comment 5 Fedora Update System 2021-02-21 00:44:36 UTC
FEDORA-EPEL-2021-9ec8ceb857 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-9ec8ceb857

Comment 6 Fedora Update System 2021-02-22 00:32:59 UTC
FEDORA-2021-9a0903469c has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9a0903469c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9a0903469c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-01 16:16:37 UTC
FEDORA-EPEL-2021-3428ca1a34 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-01 17:01:23 UTC
FEDORA-2021-e9478617ae has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-01 17:05:44 UTC
FEDORA-2021-9a0903469c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-03-08 19:34:24 UTC
FEDORA-EPEL-2021-9ec8ceb857 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.